# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libglibmm-devel
# END SourceDeps(oneline)
Summary:	C++ interface for Clutter
Name:		cluttermm
Version:	1.3.3
Release:	alt1_4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gtkmm.org/
Source0:	http://download.gnome.org/sources/cluttermm/1.3/%{name}-%{version}.tar.xz

BuildRequires:	atkmm-devel
BuildRequires:	libclutter-devel
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	mm-common
BuildRequires:	libpangomm-devel
Source44: import.info

%description
Cluttermm is a C++ interface for Clutter: a software library for creating
fast, visually rich graphical user interfaces.

%package	devel
Summary:	Development files for %{name}
Group:		Development/C

Requires:	devhelp
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure --disable-silent-rules --docdir=%{_docdir}/%{name}-%{version}

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0/reference .
pushd $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0
  ln -s ../%{name}-devel-%{version}/reference reference
popd

%files
%doc ChangeLog COPYING NEWS
%{_libdir}/libcluttermm-1.0.so.*

%files devel
%doc examples/actor.png
%doc examples/test-actors.cc
%doc examples/test-boxes.cc
%doc reference
%doc %{_docdir}/%{name}-1.0

%{_libdir}/libcluttermm-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/%{name}-1.0
%{_datadir}/devhelp/books/%{name}-1.0
%{_datadir}/%{name}-1.0
%{_includedir}/%{name}-1.0

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_4
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_3
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_2
- fc import

